cdac.medinfo.model

## Class PatientDetails

- java.lang.Object
- - cdac.medinfo.model.PatientDetails

-     public class PatientDetails
      extends java.lang.Object

  This class specify Patient Details.

  This class has the following attributes:

  1. MRN (String)
  2. Name (String)
  3. Family (String)
  4. suffix (String)
  5. prefix (String)
  6. gender (String)
  7. birthTime (String)
  8. birthPlace (String)
  9. maritalStatus (String)
  10. religiousAffiliation (String)
  11. raceCode (String)
  12 ethnicGroup (String)
  13. personalAddress (List`<Address>`)
  14. participant (List`<Participant>`)

  This class provides accessors and mutators for the elements mentioned above.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatientDetails()` Constructs an object of Patient Details.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBirthPlace()` Returns the Birth Place of Patient.
    `java.lang.String` | `getBirthTime()` Returns the Birth Time of Patient.
    `java.lang.String` | `getEthnicGroup()` Returns the Ethnic Group.
    `java.lang.String` | `getFamily()` Returns the Patient Family Name.
    `java.lang.String` | `getGender()` Returns the Gender of Patient.
    `java.lang.String` | `getMaritalStatus()` Returns the Marital Status of Patient.
    `java.lang.String` | `getMrn()` Returns the MRN.
    `java.lang.String` | `getName()` Returns the Patient Name.
    `java.util.List<Participant>` | `getParticipant()` Returns the list of the Participant.(E.g.
    `java.util.List<Address>` | `getPersonalAddress()` Returns list of the Personal Address of Patient.
    `java.lang.String` | `getPrefix()` Returns the Patient Name Prefix.
    `java.lang.String` | `getRaceCode()` Returns the Race Code.
    `java.lang.String` | `getReligiousAffiliation()` Returns the Religious Affiliation.
    `java.lang.String` | `getSuffix()` Returns the Patient Name Suffix.
    `void` | `setBirthPlace(java.lang.String birthPlace)` Sets the Birth Place of Patient.
    `void` | `setBirthTime(java.lang.String birthTime)` Sets the Birth Time of Patient.
    `void` | `setEthnicGroup(java.lang.String ethnicGroup)` Sets the Ethnic Group.
    `void` | `setFamily(java.lang.String family)` Sets the Patient Family Name.
    `void` | `setGender(java.lang.String gender)` Sets the Gender of Patient.
    `void` | `setMaritalStatus(java.lang.String maritalStatus)` Sets the Marital Status of Patient.
    `void` | `setMrn(java.lang.String mrn)` Sets the MRN.
    `void` | `setName(java.lang.String name)` Sets the Patient Name.
    `void` | `setPrefix(java.lang.String prefix)` Sets the Patient Name Prefix.
    `void` | `setRaceCode(java.lang.String raceCode)` Sets the Race Code.
    `void` | `setReligiousAffiliation(java.lang.String religiousAffiliation)` Sets the Religious Affiliation.
    `void` | `setSuffix(java.lang.String suffix)` Sets the Patient Name Suffix.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatientDetails

          public PatientDetails()

      Constructs an object of Patient Details.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns the Patient Name.
      Returns:
        the name

    - #### setName

          public void setName(java.lang.String name)

      Sets the Patient Name.
      Parameters:
        `name` - Specifies the Patient Name.

    - #### getFamily

          public java.lang.String getFamily()

      Returns the Patient Family Name.
      Returns:
        the family

    - #### setFamily

          public void setFamily(java.lang.String family)

      Sets the Patient Family Name.
      Parameters:
        `family` - Specifies the Patient Family Name.

    - #### getSuffix

          public java.lang.String getSuffix()

      Returns the Patient Name Suffix.
      Returns:
        the suffix

    - #### setSuffix

          public void setSuffix(java.lang.String suffix)

      Sets the Patient Name Suffix.
      Parameters:
        `suffix` - Specifies the Patient Name Suffix.

    - #### getPrefix

          public java.lang.String getPrefix()

      Returns the Patient Name Prefix.
      Returns:
        the prefix

    - #### setPrefix

          public void setPrefix(java.lang.String prefix)

      Sets the Patient Name Prefix.
      Parameters:
        `prefix` - Specifies the Patient Name Prefix.

    - #### getGender

          public java.lang.String getGender()

      Returns the Gender of Patient.
      Returns:
        the gender

    - #### setGender

          public void setGender(java.lang.String gender)

      Sets the Gender of Patient.
      Parameters:
        `gender` - Specifies the Gender of Patient.

    - #### getBirthTime

          public java.lang.String getBirthTime()

      Returns the Birth Time of Patient.
      Returns:
        the birthTime

    - #### setBirthTime

          public void setBirthTime(java.lang.String birthTime)

      Sets the Birth Time of Patient.
      Parameters:
        `birthTime` - Specifies the Birth Time of Patient.

    - #### getPersonalAddress

          public java.util.List<Address> getPersonalAddress()

      Returns list of the Personal Address of Patient.
      Returns:
        the personalAddress

    - #### getParticipant

          public java.util.List<Participant> getParticipant()

      Returns the list of the Participant.(E.g. Guardian, next of kin etc.)
      Returns:
        the participant

    - #### getMaritalStatus

          public java.lang.String getMaritalStatus()

      Returns the Marital Status of Patient.
      Returns:
        the maritalStatus

    - #### setMaritalStatus

          public void setMaritalStatus(java.lang.String maritalStatus)

      Sets the Marital Status of Patient.
      Parameters:
        `maritalStatus` - Specifies the Marital Status of Patient.

    - #### getReligiousAffiliation

          public java.lang.String getReligiousAffiliation()

      Returns the Religious Affiliation.
      Returns:
        the religiousAffiliation

    - #### setReligiousAffiliation

          public void setReligiousAffiliation(java.lang.String religiousAffiliation)

      Sets the Religious Affiliation.
      Parameters:
        `religiousAffiliation` - Specifies the Religious Affiliation.

    - #### getRaceCode

          public java.lang.String getRaceCode()

      Returns the Race Code.
      Returns:
        the raceCode

    - #### setRaceCode

          public void setRaceCode(java.lang.String raceCode)

      Sets the Race Code.
      Parameters:
        `raceCode` - Specifies the Race Code.

    - #### getEthnicGroup

          public java.lang.String getEthnicGroup()

      Returns the Ethnic Group.
      Returns:
        the ethnicGroup

    - #### setEthnicGroup

          public void setEthnicGroup(java.lang.String ethnicGroup)

      Sets the Ethnic Group.
      Parameters:
        `ethnicGroup` - specifies the Ethnic Group.

    - #### getMrn

          public java.lang.String getMrn()

      Returns the MRN.
      Returns:
        the mrn

    - #### setMrn

          public void setMrn(java.lang.String mrn)

      Sets the MRN.
      Parameters:
        `mrn` - Specifies the MRN.

    - #### getBirthPlace

          public java.lang.String getBirthPlace()

      Returns the Birth Place of Patient.
      Returns:
        the birthPlace

    - #### setBirthPlace

          public void setBirthPlace(java.lang.String birthPlace)

      Sets the Birth Place of Patient.
      Parameters:
        `birthPlace` - Specifies the Birth Place of Patient.